Page MenuHomePhabricator

simple_chinese analyzer renamed to simplecn in es 2.x
Closed, ResolvedPublic

Description

It seems this analyzer plugin has had the analyzer it created renamed. When starting a 2.x instance with the 1.7 indices on disk elasticsearch gets into a loop trying to create the index and failing.

Not sure what to do here, could we create a shim plugin that aliases smart_chinese to simplecn, so we can boot the cluster and update the mapping?

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 12 2016, 11:22 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
dcausse added a comment.EditedMay 13 2016, 10:21 AM

We don't use analysis-smartcn in prod, looks like it's added only in vagrant. Hopefully we can just change the analysis config builder to simplecn, it'll create valid analysis config for users using this plugin?

ahh, indeed prod doesn't look to be using simplecn, or really any language plugins outside icu. Yup then it's a pretty simple code change.

Change 288954 had a related patch set uploaded (by DCausse):
Fix chinese analyzer name when analysis-smartcn plugin is used

https://gerrit.wikimedia.org/r/288954

Change 288954 merged by jenkins-bot:
Fix chinese analyzer name when analysis-smartcn plugin is used

https://gerrit.wikimedia.org/r/288954

debt closed this task as Resolved.Jun 8 2016, 12:31 AM
debt added a subscriber: debt.

Looks like this is resolved - closing.